!> \file track_heino_mod.f90
!! Ce module permet d'utiliser des routines de traces et de debug 
!<

!> \namespace track_debug
!! Permet d'utiliser des routines de traces et de debug
!! \author ...
!! \date ...
!! @note Ce module est different dans chaque geographie et    
!! @note faire use dans le main         
!! @note Used module
!! @note   - use module3d_phy
!! @note   - use module_choix
!<

module track_debug                    ! ce module est different dans chaque geographie et 
                                      ! permet d'utiliser des routines de traces et de debug   
                                      ! faire use dans le main                                 
                                     


use module3d_phy
use module_choix

contains

!>SUBROUTINE: track_change_T
!!Routine track le passgae froid a tempere.
!<

subroutine track_change_T               ! le passage froid a tempere
  logical :: base_froide  
  logical :: base_temp

!     write(6,*) time, cdftest, base_temp, base_froide,tend
base_temp=.true.
base_froide=.false.

if ((cdftest.eq.0).and.(isynchro.eq.1)) then
!     write(6,*) 'apres test',time, cdftest, base_temp, base_froide,tend


! passage tempere froid : cdftest reste  0
!--------------------------------------------
     if (base_temp) then    ! on est en base temperee et on attend d'etre passe en base froide
        base_temp=ANY( (mksedim(:,:).eq.2).and.(ibase(:,:).gt.1))
!        base_froide=ALL( (mksedim(:,:).eq.2).and.(ibase(:,:).eq.1).and.(H(:,:).gt.1000.))
        base_froide=.not.base_temp
       if (base_froide) then
           base_temp=.false.  
           cdftest=0
           write(6,*) 'passage a froid a time=',time
        end if

 

! passage  froid tempere : cdftest passe a 1
!--------------------------------------------
!     if(base_froide) then
        else
        base_temp=ANY( (mksedim(:,:).eq.2).and.(ibase(:,:).gt.1))
        if (base_temp) then
           base_froide=.false.
           cdftest=1
!           tend=time+1000.
           write(6,*) 'passage a tempere a time=',time,tend      
        end if
     end if


endif

!!$     write(6,*) time, cdftest, base_temp, base_froide,tend
!!$
!!$      if ((isynchro.eq.1).and.(cdftest.eq.1)) then
!!$!         call sortie_ncdf_cat
!!$         write(6,*) 'sortie cdf a ',time
!!$      end if

end subroutine track_change_T
end module track_debug
