!> \file paradim-GrIce2sea-378-591.f90
!! Def des dimensions de la grille Groenland intersection Bamber-Aurelien
!<

!> \namespace grIce2sea_cut1
!! Def des dimensions de la grille Groenland intersection Bamber-Aurelien
!! \author Cat
!! \date 11 oct 2011
!! @note prescribe nx,ny,  dimension of most arrays
!! for Groenland Ice2sea in 5 km
!<

module grIce2sea_cutT    

implicit none

! character
character(len=7),  parameter  :: geoplace='GI2S_5T'
character(len=53), parameter  :: dirnameinp='../../INPUT/GrIce2sea-5km-cut-Tamsin/' !< input directory
character(len=17), parameter  :: dirforcage='../../INPUT/Forcage/'           !< input directory

! dimensionnement grilles
!-------------------------
integer, parameter :: nx=301           !< dimension selon x (indice i)
integer, parameter :: ny=561           !< dimension selon y (indice j)

integer, parameter :: nlmin=561        !< min(nx,ny), pour matrice elliptique  
integer, parameter :: nz=21            !< dimension selon z (indice k) 
integer, parameter :: nzm=4            !< nb de points verticaux dans le socle
integer, parameter :: nn=199           !< pour les sorties


! pas horizontal
!-----------------
real, parameter    :: dx=5000.0        !< pas en X en m
real, parameter    :: dy=5000.0        !< pas en Y en m


end module grIce2sea_cutT
